Pular para o conteúdo principal
OpenAINov 17, 2026New

GPT-6.2 Astra Pro

openai-gpt-62-astra-proAnonymized

GPT-6.2 Astra with pro reasoning mode for difficult tasks that benefit from more model work. Supports text and image inputs with a 1.05M token context window. Pro mode can use more tokens and take longer than standard Astra.

$8.00/$40.00
per 1M in / out
1.05M
context window
128K
max output
How it comparesamong 133 text models
Pricecheaper than 5%$16.00
First token—
Output speed—
Context windowlarger than 91%1.05M

Further right is better. Hover a dot for its model.

Capabilities

What the model takes in, returns and supports through the API.

InTextImage
OutText

Not supportedvideo input, audio input, X search and log probabilities

Performance

Measured on Venice API traffic over the last 24 hours.

Time to first token—
Output speed—
Uptime—

How it’s measured

Pricing

Billed per token in USD. Reasoning tokens bill as output.

Input$8.00per 1M tokens
Cached input$0.4095% off input
Output$40.00per 1M tokens

Estimate a workload

$0.036per request
$360for 10,000 requests

Blended price against similar models

GPT-6.2 Astra Pro$16.00

Per 1M tokens at three input tokens for each output token.

Specs

Model ID
openai-gpt-62-astra-pro
Endpoint
POST /api/v1/responses
Context window
1,050,000 tokens
Max output
128,000 tokens
Reasoning
low · medium · high · xhigh · max · default high
Precision
Set by the provider
Privacy
Anonymized
Weights
Closed
Added
Nov 17, 2026

Compare

ModelInputOutputContextMax outputFirst tokenSpeed
GPT-6.2 Astra Pro$8.00$40.001.05M128K——
Claude Fable 5.2$8.00$40.001M128K——
Claude Fable 5.1$10.00$50.001M128K——
GPT-6.2 Astra$8.00$40.001.05M128K——
Claude Fable 5$10.00$50.001M128K——

Other versions

  1. GPT-6 Astra ProSep 2026
  2. GPT-6.2 Astra ProNov 2026

Quickstart

OpenAI-compatible: point any OpenAI SDK at the Venice base URL with a Venice API key.

curl https://api.venice.ai/api/v1/responses \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "openai-gpt-62-astra-pro",
"input": "Explain TEE attestation in two sentences.",
"reasoning": { "effort": "high" }
}'
Base URL https://api.venice.ai/api/v1

Parameters

ParameterValuesNotes
modelopenai-gpt-62-astra-proRequired
messagestext · image_urlContent parts the model reads
max_completion_tokensUp to 128,000Counts reasoning tokens
reasoning_effortlow | medium | high | xhigh | maxDefault high
toolsFunction definitionsWith tool_choice
response_format{ type: "json_schema" }Output that matches a schema
streamtrue | falseServer-sent events
venice_parameters.enable_web_searchauto | on | offWeb results and citations